mutation createTaskComment(
  $taskId: UUID!
  $teamMemberId: UUID!
  $comment: String!
  $isSystem: Boolean
) @auth(level: USER) {
  taskComment_insert(
    data: {
      taskId: $taskId
      teamMemberId: $teamMemberId
      comment: $comment
      isSystem: $isSystem
    }
  ) 
}

mutation updateTaskComment(
  $id: UUID!
  $comment: String
  $isSystem: Boolean
) @auth(level: USER) {
  taskComment_update(
    id: $id
    data: {
      comment: $comment
      isSystem: $isSystem
    }
  ) 
}

mutation deleteTaskComment($id: UUID!) @auth(level: USER) {
  taskComment_delete(id: $id) 
}
